'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.saveLayout = exports.createLayout = undefined;

var _apiBaseUrl = require('../constants/apiBaseUrl');

/* -------- create layout ---------- */
var createLayout = exports.createLayout = function createLayout(request) {
  return fetch(_apiBaseUrl.API_DASHBOARD_URL + "/createLayout", {
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify(request)
  }).then(function (res) {
    return res.json();
  }).then(function (results) {
    return results;
  });
};

/* -------- save layout ---------- */
var saveLayout = exports.saveLayout = function saveLayout(request) {
  return fetch(_apiBaseUrl.API_DASHBOARD_URL + "/saveLayout", {
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify(request)
  }).then(function (res) {
    return res.json();
  }).then(function (results) {
    return results;
  });
};