"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _GLOBALMODULEPACKAGES = exports._GLOBALMODULEPACKAGES = [{ name: "Charts", icon: "bar_chart", type: "Charts", module: "chart_settings" }, { name: "Pivot Table", icon: "view_compact", type: "PivotTable", module: "pivot_table" }, { name: "Grid Table", icon: "border_all", type: "GridTable", module: "grid_table" }, { name: "Tiles & Cards", icon: "filter_none", type: "TileCard", module: "tile_card" }, { name: "Filter", icon: "filter_list", type: "Filter", module: "filter" }];

var _CHARTMODULES = exports._CHARTMODULES = [{ name: "Pie Chart", icon: "pie_chart", type: "PieChart", module: "pie_chart" }, { name: "Area Chart", icon: "filter_hdr", type: "AreaChart", module: "area_chart" }, { name: "Bar Chart", icon: "view_list", type: "BarChart", module: "bar_chart" }, { name: "Line Chart", icon: "timeline", type: "LineChart", module: "line_chart" }, { name: "Bubble Chart", icon: "bubble_chart", type: "BubbleChart", module: "bubble_chart" }, { name: "Candle Stick Chart", icon: "dock", type: "CandlestickChart", module: "candle_stick_chart" }, { name: "Combo Chart", icon: "poll", type: "ComboChart", module: "combo_chart" }, { name: "Diff Chart", icon: "nature", type: "ScatterChart", module: "different_chart" }, { name: "Stepped Area Chart", icon: "flag", type: "SteppedAreaChart", module: "pie_chart" }, { name: "Gauge Chart", icon: "wifi_tethering", type: "Gauge", module: "gauge_chart" }, { name: "Geo Chart", icon: "place", type: "GeoChart", module: "geo_chart" }, { name: "Histogram", icon: "horizontal_split", type: "Histogram", module: "histogram_chart" }, { name: "Interval Chart", icon: "broken_image", type: "LineChart", module: "interval_chart" }, { name: "Sankey Chart", icon: "confirmation", type: "Sankey", module: "sankey_chart" }, { name: "Scatter Chart", icon: "blur_on", type: "ScatterChart", module: "scatter_chart" }, { name: "TreeMap Chart", icon: "line_style", type: "TreeMap", module: "tree_map_chart" }, { name: "TrendLines Chart", icon: "linear_scale", type: "ScatterChart", module: "trend_lines_chart" }, { name: "WordTree Chart", icon: "device_hub", type: "WordTree", module: "word_tree_chart" }, { name: "Gantt Chart", icon: "show_chart", type: "Gantt", module: "gantt_chart" }];

var _MEASURESTYPELIST = exports._MEASURESTYPELIST = [{ label: "Count", value: "count" }, { label: "Count Distinct", value: "count distinct" }, { label: "Sum", value: "sum" }, { label: "Average", value: "avg" }, { label: "Group Concat", value: "group concat" }];