"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dataTableConfig = undefined;

var _params;

var _apiBaseUrl = require("./apiBaseUrl");

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var dataTableConfig = exports.dataTableConfig = {
  templateType: "primary",
  enableRowSelect: true,
  showNoOfColumns: 5,
  enableCheckBoxSelection: false,
  /* navigateButton: {
    show: true,
    header: "Redirect",
    icon: '',
    color: ''
  }, */
  toolBar: {
    show: true,
    title: {
      show: false,
      name: "Entitlement",
      style: {}
    },
    search: {
      show: false,
      highlightKeyword: true,
      label: "Search",
      width: "120%",
      style: {
        marginLeft: 0
      }
    },
    columnVisibility: {
      show: true,
      style: {}
    },
    filter: {
      show: true,
      style: {}
    },
    /* customButtons: [{
      name: "Compare Plan",
      icon: "playlist_add",
      position: "left"
    }], */
    style: {}
  },
  header: {
    show: true,
    config: [],
    field: "fieldName",
    /* sort: true,
    columnFilter: true,
    style: {}*/
    /* moreOptions: {
      header: "Actions",
      menuItems: [
        "Add",
        "Remove",
        "Clone"
      ]
    }, */
    width: 130,
    /* columnsStyle: [{
      "Material Name": {
        style: {
          width: "150px",
          align: "left"
        }
      }
    }], */
    columnFilterMenus: [{ "key": "contain", "value": "Contains" }, { "key": "start with", "value": "Starts With" }, { "key": "ends with", "value": "Ends With" }, { "key": "matches", "value": "Matches" }, { "key": "less than", "value": "Less Than" }],
    order: 'asc',
    orderBy: 'material'
  },
  body: {
    content: []
    /* cellClicks: [{
        cellName: 'Material Name',
        enableHyperLink: true,
        url: "http://...."
      },
      {
        cellName: 'Material'
      }
    ], */
    /* emptyRows: {
        message: "No Record Found",
        showEmptyRows: true,
        style: {
            fontWeight: 'bolder',
            textAlign: 'center',
            padding: '20px'
        }
    },
    pageNumber: 0,
    pageSize: 10,
    style: {} */
  },
  /* footer: {
      show: true,
      paginations: {
          show: true,
          rowsPerPageOptions: [10, 25, 50],
          colSpan: 6,
          style: {}
      },
      style: {}
  }, */
  style: {},
  mode: {
    "apiConfig": {
      "apiLink": _apiBaseUrl.API_RESULTSET_URL + "/returnData",
      "params": (_params = {
        "resultsetId": "resultsetId",
        "appId": "appId",
        "search": "search",
        "pageNumber": "pageNumber",
        "sortColumn": "sortColumn",
        "sortOrder": "sortOrder"
      }, _defineProperty(_params, "sortOrder", "sortOrder"), _defineProperty(_params, "pageSize", "pageSize"), _defineProperty(_params, "pageOffset", "pageOffset"), _defineProperty(_params, "filters", "filters"), _params)
    },
    requiredInfo: {
      "resultsetId": 5,
      "appId": "ENT"
    }
  }
};

//dataTableConfig.mode.apiConfig.apiLink = ;